
@font-face {
    font-family: "Roboto";
    src: url("../../../fonts/Roboto/Roboto-Light.ttf");
    font-weight: 300;
    font-style: normal;
}
@font-face {
    font-family: "Roboto Regular";
    src: url("../../../fonts/Roboto/Roboto-Regular.ttf");
    font-weight: 400;
    font-style: normal;
}
@font-face {
    font-family: "Roboto Medium";
    src: url("../../../fonts/Roboto/Roboto-Medium.ttf");
    font-weight: 600;
    font-style: normal;
}

:root
{
    /* sizes */
    --contentWidth: min(1140px, 98vw);
    --logoWidth: min(400px,50%);
    --headerHeight: 95px;

    /* font settings */
    --baseFontWeight: 300;
    --baseFontSize: 18px;
    --defaultFont: 'Roboto', sans-serif;
    --headerFont: var(--defaultFont);

    /* colors */
    --gfiBlue: rgb(41, 167, 202);
    --defaultColor: rgb(70, 70, 70);
}

body
{
    font-size: var(--baseFontSize);
    line-height: 1.2;
    font-weight: var(--baseFontWeight);
}

#outerOuterFrameWrapper
{
    max-width: 100dvw;
    overflow: clip;
}

a:not(.menuItemLink)
{
    color: rgb(190, 197, 49);
}

h1, h2
{
    font-size: clamp(1.6rem, 6vw + 0.3rem, 2.5rem);
}

#headerWrapper
{
    display: flex;
    flex-direction: row;
    width: 100%;
    padding: 0 10px;
    background-color: #fff;
    position: fixed;
    top: 0;
    left: 0;
}

#header
{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    flex-wrap: nowrap;
    padding-inline: 15px;
    margin-inline: auto;
    width: var(--contentWidth);
    box-shadow: 0 10px 5px 0 rgba(0,0,0,0.4);
}

#logoTopWrapper
{
    width: var(--logoWidth);
    padding-inline: 0.5rem;
}

.logoWrapper
{
    display: flex;
    align-items: center;
}

.logoWrapper img
{
    max-height: 90%;
}

#brand-image
{
    max-width: 100%;
    vertical-align: middle;
}

.menuToggler
{
    display: none;
}

#topMenu
{
    display: flex;
    flex-direction: row;
}

#mainMenu a
{
    font-size: 1.2rem;
    white-space: nowrap;
    opacity: 0.6;
}

#mainMenu a:hover
{
    opacity: 1;
}

.menuItemLevel1 a.menuItemLinkLevel1:after
{
    display: inline-block;
    margin-left: 0.255em;
    vertical-align: 0.255em;
    content: "";
    border-top: 0.3em solid;
    border-right: 0.3em solid transparent;
    border-bottom: 0;
    border-left: 0.3em solid transparent;
}

#mainMenuWrapper li.level1 li.level2,
#mainMenuWrapper li.level1 li.level3
{
    border-bottom: 1px #999 solid;
    margin-inline: 4px;
}

#mainMenuWrapper li.level1 li.level2:hover
{
    border-left: unset;
}

#centreAreaWrapper
{
    max-width: var(--contentWidth);
    margin-inline: auto;
}

#centreAreaWrapper ul
{
    list-style: disc;
    margin-left: 2rem;
}

#centreAreaWrapper strong
{
    font-weight: 600;
    font-family: "Roboto Medium", sans-serif;
}

h1,
.mainContent h2
{
    margin-top: 1rem;
    font-weight: 100;
    color: var(--gfiBlue);
    border: 1px solid var(--gfiBlue);
    border-inline: unset;
    text-align: center;
}

p:has(.linkButton)
{
    display: flex;
}

.linkButton
{
    display: flex;
    align-items: center;
    justify-content: center;
    background: linear-gradient(to right, var(--gfiBlue) 0%, rgb(59, 106, 119) 100%);
    color: #fff !important;
    font-weight: 300;
    font-size: 1.5rem;
    line-height: 110px;
    height: 120px;
    vertical-align: middle;
    padding-block: 2.3rem;
    width: 21.8rem;
    margin-right: 2rem;
    margin-block: 2rem;
}

.linkButton:hover
{
    text-decoration: none;
    color: #fff;
}

#contentWrapper
{
    max-width: 100%;
    padding-inline: 15px;
}

#footerWrapper
{
    width: var(--contentWidth);
    margin-inline: auto;
    border-top: 2px solid rgb(174, 174, 174);
    background-color: #fff;
}

#breadCrumb
{
    display: flex;
    justify-content: flex-end;
    align-items: baseline;
    gap: 0.2rem;
    position: absolute;
    right: 0;
    top: 0;
    width: max-content;
    color: var(--defaultColor);
}

#breadCrumb ol
{
    display: flex;
    gap: 0.5rem;
    list-style: none;
    margin-left: 0;
    margin-top: 0;
    padding-left: 0;
    padding-top: 0;
}

#footer
{
    display: block;
    color: rgb(70 ,70 ,70);
    font-size: 1.125rem;
    line-height: 27px;
    font-weight: 100;
    padding-bottom: unset;
}

#footerLogo img
{
    width: 150px;
}

#footerTopWrapper
{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: end;
}

#footerKontakt
{
    opacity: 0.7;
}

#idsLogo .ce-textpic
{
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    gap: 1rem;
}

#idsLogo .ce-bodytext
{
    opacity: 0.7;
}

#bottomMenuWrapper
{
    margin-top: 0.5rem;
    padding-top: 1rem;
    border-top: 2px solid rgb(174, 174, 174);
}

#bottomMenu
{
    max-width: 80%;
    margin-inline: auto;
    text-align: center;
}

.footerItem
{
    display: inline-block;
    padding-inline: 1rem;
    border-right: 1px solid #000;
    opacity: 0.7;
}

.footerItem:last-of-type
{
    border-right: unset;
}

#copyright
{
    width: var(--contentWidth);
    text-align: center;
    opacity: 0.7;
}

.frame-space-before-extra-small
{
    padding-top: 0;
}
.frame-space-after-extra-small
{
    padding-bottom: 0;
}

.frame-space-before-small
{
    padding-top: 1rem;
}
.frame-space-after-small
{
    padding-bottom: 1rem;
}

.frame-space-before-medium
 {
    padding-top: 3rem;
 }
.frame-space-after-medium
{
    padding-bottom: 3rem;
}

[data-ce-columns="2"] .ce-column
{
    max-width: 550px;
}

.ce-center .ce-row
{
    justify-content: space-around;
    margin-inline: auto;
}

.ce-center .ce-row .ce-column
{
    margin-right: 0;
    float: none;
}

#c-ttl
{
    font-weight: 100;
    color: var(--gfiBlue);
    border: 1px solid var(--gfiBlue);
    border-inline: unset;
    text-align: center;
}

#c-p-bn,
#c-s-bn
{
    background: linear-gradient(to right, rgb(190, 197, 49) 0%, rgb(115, 117, 62) 100%) !important;
}

#c-p-bn:hover,
#c-s-bn:hover
{
    background: linear-gradient(to right, rgb(41, 167, 202) 0%, rgb(59, 106, 119) 100%) !important;
}

#teaserWrapper
{
    position: relative;
}

.ce-headline-left
{
    text-align: left !important;
}

.ce-headline-right
{
    text-align: right !important;
}

.ce-headline-center
{
    text-align: center !important;
}

@media (max-width: 700px)
{
    #footerTopWrapper
    {
        display: block;
    }
}
